string.hpp File Reference
Support for Serializing Various Types » Standard Library Support

Support for types found in <string> More...

`#include "cereal/cereal.hpp"`
`#include <string>`

Go to the source code of this file.

## Functions

template<class Archive , class CharT , class Traits , class Alloc >
std::enable_if< traits::is_output_serializable< BinaryData< CharT >, Archive >::value, void >::type | cereal::CEREAL_SAVE_FUNCTION_NAME (Archive &ar, std::basic_string< CharT, Traits, Alloc > const &str)
| Serialization for basic_string types, if binary data is supported.
template<class Archive , class CharT , class Traits , class Alloc >
std::enable_if< traits::is_input_serializable< BinaryData< CharT >, Archive >::value, void >::type | cereal::CEREAL_LOAD_FUNCTION_NAME (Archive &ar, std::basic_string< CharT, Traits, Alloc > &str)
| Serialization for basic_string types, if binary data is supported.

## Detailed Description

Support for types found in <string>